<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xrl="http://netkernel.org/xrl" xmlns:nk="http://netkernel.org">
    <xsl:output method="xml"/>
    
    <xsl:param name="commit" nk:class="java.lang.String"/>
	
	<xsl:template match="/acl">
		<div>
				<div style="font-size: 300%;">
					<xrl:include>
						<xrl:identifier>xrl:logo</xrl:identifier>
					</xrl:include>
				</div>
				<hr/>
				<p>
					<a href="/panel/urn:org:ten60:wink:control:panel">Back</a>
				</p>
				<form action="/wink-admin/security" method="post">
					<table>
						<tr style="font-weight: bold;">
							<td>Name</td><td>Password</td><td>Delete User</td>
						</tr>
						<xsl:apply-templates />
						<tr>
							<td colspan="3">
							<h3>New User</h3>
							</td>
						</tr>
						<tr style="font-weight: bold;">
							<td>Name</td><td>Password</td><td/>
						</tr>
						<tr>
				    		<td><input type="text" name="newname"/></td>
				    		<td>
				    			<input name="pwd-newname" type="password" />
				    		</td>
				    		<td/>
				    	</tr>
				    	<tr>
							<td/>
							<td>
								<input type="submit" value="Update"/>
							</td>
						</tr>
						
					</table>
				</form>
				<xsl:if test="$commit">
				<p>Changes committed successfully</p>
				</xsl:if>
		</div>
    </xsl:template>
    
    <xsl:template match="user">
    	<tr>
    		<td><xsl:value-of select="name"/></td>
    		<td>
    			<input name="pwd-{name}" type="password" value="{pwd}"/>
    		</td>
    		<td align="center">
    			<input type="checkbox" name="delete-{name}"/>
    		</td>
    	</tr>
    </xsl:template>

</xsl:stylesheet>
